Bug 207728 - Opening of heap dump on linux is very slow
Opening of heap dump on linux is very slow
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
PC Linux
: P2 (vote)
: 7.2
Assigned To: Tomas Hurka
issues@profiler
: PERFORMANCE, VISUALVM
Depends on:
Blocks: 181194
  Show dependency treegraph
 
Reported: 2012-01-25 14:14 UTC by Petr Cyhelsky
Modified: 2012-09-27 15:21 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2012-01-25 14:14:16 UTC

    
Comment 1 Tomas Hurka 2012-01-25 14:35:35 UTC
This problem is specially visible in a larger heap dumps >600M., where opening heap dump is significantly slower for second half (opening progress is bigger than 50%). The computation of the references is also significantly slower (compared to other Operating systems).
Comment 2 Tomas Hurka 2012-02-01 13:03:30 UTC
Fixed in profiler-main
changeset:   211795:3cc3143ce40c
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Feb 01 13:46:49 2012 +0100
summary:     bugfix #207728, use FileChannel.MapMode.PRIVATE on Linux

the fix was tested with ~ 1G heap dump and the loading heap dump is now down to 37 seconds from 10 minutes and computation of references is down to 80 sec. from 11 minutes.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo